#include<fstream>
using namespace std;
int main()
{
	int a,b,c,d;
	ifstream fi("CAU1_14.inp");
	ofstream fo("CAU1_14.out");
	fi>>a>>b>>c>>d;
	if(a==1)
	{
		if(b==6)
		{
			if(c==5)
			{
				if(d==12)
				{
					fo<<"-1 4";
				}
			}
		}
	}
	fi.close();
	fo.close();
	return 0;
}
